## org.apache.poi.xssf.usermodel.charts
Class XSSFChartDataFactory

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartDataFactory

All Implemented Interfaces:
  ChartDataFactory

    @Beta
    public class XSSFChartDataFactory

extends java.lang.Object
implements ChartDataFactory

Author:
  Roman Kashitsyn

Method Summary
`XSSFScatterChartData` `createScatterChartData()`
`static XSSFChartDataFactory` `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createScatterChartData

    public XSSFScatterChartData createScatterChartData()

  Specified by:
    `createScatterChartData` in interface `ChartDataFactory`
  Returns:
    new scatter charts data instance

### getInstance

    public static XSSFChartDataFactory getInstance()

  Returns:
    factory instance

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.